### Method

# Foundry Diagnostic dup_path

#### Declaration [src]

    char*
    foundry_diagnostic_dup_path (
      FoundryDiagnostic* self
    )

#### Description [src]

Gets the path for the diagnostic, if any.

#### Return value

Type: `char*`

A string or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.